Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class MultiByteFont

    java.lang.Object
      org.apache.fop.fonts.Typeface
          org.apache.fop.fonts.CustomFont
              org.apache.fop.fonts.CIDFont
                  org.apache.fop.fonts.MultiByteFont

All Implemented Interfaces:
  FontDescriptor, FontMetrics, MutableFont

public class MultiByteFont
extends CIDFont

Generic MultiByte (CID) font

Field Summary

Fields inherited from class org.apache.fop.fonts.CIDFont
`width`

Fields inherited from class org.apache.fop.fonts.Typeface
`eventListener, NOT_FOUND`

Constructor Summary
`MultiByteFont()` Default constructor

Method Summary
`char[]` | `getCharsUsed()` {@inheritDoc}
`CIDSubset` | `getCIDSubset()` Returns the subset information for this font.
`CIDFontType` | `getCIDType()` Returns the type of the CID font.
`int` | `getDefaultWidth()` Returns the default width for this font.
`java.lang.String` | `getEmbedFontName()` Returns the font name for font embedding (may include a prefix, Example: "1E28bcArialMT").
`java.lang.String` | `getEncodingName()` Get the encoding of the font.
`java.lang.String` | `getOrdering()` Returns a font name for use within a registry.
`java.lang.String` | `getRegistry()` Returns the name of the issuer of the font.
`int` | `getSupplement()` Returns the supplement number of the character collection.
`java.lang.String` | `getTTCName()` Returns the TrueType Collection Name.
`java.util.Map` | `getUsedGlyphs()` Returns a Map of used Glyphs.
`int` | `getWidth(int i, int size)` Return the width (in 1/1000ths of point size) of the character at code point i.
`int[]` | `getWidths()` Return the array of widths. This is used to get an array for inserting in an output format. It should not be used for lookup.
`boolean` | `hasChar(char c)` Determines whether this font contains a particular character/glyph.
`boolean` | `isEmbeddable()` Indicates if this font may be embedded.
`char` | `mapChar(char c)` Map a Unicode character to a code point in the font.
`void` | `setBFEntries(BFEntry[] entries)` Sets the array of BFEntry instances which constitutes the Unicode to glyph index map for a font.
`void` | `setCIDType(CIDFontType cidType)` Sets the CIDType.
`void` | `setDefaultWidth(int defaultWidth)` Sets the defaultWidth.
`void` | `setTTCName(java.lang.String ttcName)` Sets the the TrueType Collection Name.
`void` | `setWidthArray(int[] wds)` Sets the width array.

Methods inherited from class org.apache.fop.fonts.CIDFont
`isMultiByte`

Methods inherited from class org.apache.fop.fonts.CustomFont
`getAscender, getAscender, getCapHeight, getCapHeight, getDescender, getDescender, getEmbedFileName, getEmbedFileSource, getEmbedResourceName, getFamilyNames, getFirstChar, getFlags, getFontBBox, getFontName, getFontSubName, getFontType, getFullName, getItalicAngle, getKerningInfo, getLastChar, getMissingWidth, getStemV, getStrippedFontName, getWeight, getXHeight, hasKerningInfo, isKerningEnabled, isSymbolicFont, putKerningEntry, replaceKerningMap, setAscender, setCapHeight, setDescender, setEmbedFileName, setEmbedResourceName, setFamilyNames, setFirstChar, setFlags, setFontBBox, setFontName, setFontSubFamilyName, setFontType, setFullName, setItalicAngle, setKerningEnabled, setLastChar, setMissingWidth, setResolver, setStemV, setWeight, setXHeight`

Methods inherited from class org.apache.fop.fonts.Typeface
`getMaxAscent, hadMappingOperations, notifyMapOperation, setEventListener, toString, warnMissingGlyph`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.fop.fonts.FontMetrics
`getMaxAscent`

Constructor Detail

### MultiByteFont

    public MultiByteFont()

  Default constructor

Method Detail

### getDefaultWidth

    public int getDefaultWidth()

  Returns the default width for this font.

  Overrides:
    `getDefaultWidth` in class `CIDFont`
  Returns:
    the default width

### getRegistry

    public java.lang.String getRegistry()

  Returns the name of the issuer of the font.

  Specified by:
    `getRegistry` in class `CIDFont`
  Returns:
    a String identifying an issuer of character collections - for example, Adobe

### getOrdering

    public java.lang.String getOrdering()

  Returns a font name for use within a registry.

  Specified by:
    `getOrdering` in class `CIDFont`
  Returns:
    a String that uniquely names a character collection issued by a specific registry - for example, Japan1.

### getSupplement

    public int getSupplement()

  Returns the supplement number of the character collection.

  Specified by:
    `getSupplement` in class `CIDFont`
  Returns:
    the supplement number

### getCIDType

    public CIDFontType getCIDType()

  Returns the type of the CID font.

  Specified by:
    `getCIDType` in class `CIDFont`
  Returns:
    the type of the CID font

### setCIDType

    public void setCIDType(CIDFontType cidType)

  Sets the CIDType.

  Parameters:
    `cidType` - The cidType to set

### getEmbedFontName

    public java.lang.String getEmbedFontName()

  Returns the font name for font embedding (may include a prefix, Example: "1E28bcArialMT").

  Specified by:
    `getEmbedFontName` in interface `FontMetrics`
  Overrides:
    `getEmbedFontName` in class `CustomFont`

### isEmbeddable

    public boolean isEmbeddable()

  Indicates if this font may be embedded.

  Returns:
    True, if embedding is possible/permitted

### getCIDSubset

    public CIDSubset getCIDSubset()

  Returns the subset information for this font.

  Specified by:
    `getCIDSubset` in class `CIDFont`
  Returns:
    the subset information

### getEncodingName

    public java.lang.String getEncodingName()

  Get the encoding of the font.

  Specified by:
    `getEncodingName` in class `Typeface`
  Returns:
    the encoding

### getWidth

    public int getWidth(int i,
                        int size)

  Return the width (in 1/1000ths of point size) of the character at code point i.

  Parameters:
    `i` - code point index
    `size` - font size
  Returns:
    the width of the character

### getWidths

    public int[] getWidths()

  Return the array of widths.

  This is used to get an array for inserting in an output format. It should not be used for lookup.

  Returns:
    an array of widths

### mapChar

    public char mapChar(char c)

  Map a Unicode character to a code point in the font.

  Specified by:
    `mapChar` in class `Typeface`
  Parameters:
    `c` - character to map
  Returns:
    the mapped character

### hasChar

    public boolean hasChar(char c)

  Determines whether this font contains a particular character/glyph.

  Specified by:
    `hasChar` in class `Typeface`
  Parameters:
    `c` - character to check
  Returns:
    True if the character is supported, Falso otherwise

### setBFEntries

    public void setBFEntries(BFEntry[] entries)

  Sets the array of BFEntry instances which constitutes the Unicode to glyph index map for a font. ("BF" means "base font")

  Parameters:
    `entries` - the Unicode to glyph index map

### setDefaultWidth

    public void setDefaultWidth(int defaultWidth)

  Sets the defaultWidth.

  Parameters:
    `defaultWidth` - The defaultWidth to set

### getTTCName

    public java.lang.String getTTCName()

  Returns the TrueType Collection Name.

  Returns:
    the TrueType Collection Name

### setTTCName

    public void setTTCName(java.lang.String ttcName)

  Sets the the TrueType Collection Name.

  Parameters:
    `ttcName` - the TrueType Collection Name

### setWidthArray

    public void setWidthArray(int[] wds)

  Sets the width array.

  Parameters:
    `wds` - array of widths.

### getUsedGlyphs

    public java.util.Map getUsedGlyphs()

  Returns a Map of used Glyphs.

  Returns:
    Map Map of used Glyphs

### getCharsUsed

    public char[] getCharsUsed()

  {@inheritDoc}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.